package FaDe;

/**
 * The Event class is an abstract class grouping any kind of event (such as a key stroke or a mouse movement).
 * 
 * @author Giorgio Luparia
 */
abstract class Event implements Comparable<Event> {
	abstract public Instant getInstant();
	
	public int compareTo(Event o) {
        return getInstant().compareTo(o.getInstant());
    }
}
